Subject: Re: [bug#40677] [PATCH V3 00/15] Jami patches.

From: Jan <[email-masked]>
Date: Sun, 3 May 2020 16:32:20 +0200

On Sun, 03 May 2020 09:34:50 +0200
Mathieu Othacehe <[email-masked]> wrote:

> Hello,
> 
> 
> I think the problem is that when starting "jami-gnome", the "dring"
> daemon is started by D-Bus. On a foreign distro, this cannot work. So
> I tried to start dring manually[1] but I have the following error:
> 
> --8<---------------cut here---------------start------------->8---
> /gnu/store/chb71qh7dprrdgn7d3g08d2pbii57v2v-libring-20200401.1.6f090de/lib/ring/dring
> -cdp Jami Daemon 9.1.0, by Savoir-faire Linux 2004-2019
> https://jami.net/
> [Video support enabled]
> 
> [1588491116.175|28401|ringbufferpool.cpp:118  ] Ringbuffer created
> with id 'audiolayer_id' [1588491116.411|28401|video_device.h    :129
> ] Default video settings: 800x480, 30 FPS
> [1588491116.529|28401|video_device.h    :129  ] Default video
> settings: 960x540, 30 FPS
> [1588491116.532|28401|manager.cpp       :676  ] Not initialized
> [1588491116.532|28401|manager.cpp       :676  ] Not initialized
> 09:31:56.533         os_core_unix.c !pjlib 2.10 for POSIX initialized
> [1588491116.534|28401|manager.cpp       :738  ] Using PJSIP version
> 2.10 for x86_64-unknown-linux-gnu
> [1588491116.534|28401|manager.cpp       :739  ] Using GnuTLS version
> 3.6.13 [1588491116.534|28401|manager.cpp       :740  ] Using OpenDHT
> version 2.0.0 [1588491116.535|28401|manager.cpp       :751  ]
> Configuration file path: /home/mathieu/.config/jami/dring.yml
> [1588491116.537|28401|manager.cpp       :2738 ] invalid node; first
> invalid key: "preferences": Preferences node unserialize error:
> [1588491116.538|28401|manager.cpp       :452  ] Errors while
> parsing /home/mathieu/.config/jami/dring.yml
> [1588491116.538|28401|manager.cpp       :777  ] Restoring last
> working configuration [1588491116.540|28401|sipvoiplink.cpp   :550  ]
> Using SIP nameserver: 127.0.0.53
> [1588491116.540|28401|siptransport.cpp  :188  ]
> SipTransportBroker@0x125c3d0
> [1588491116.541|28401|sipvoiplink.cpp   :641  ] SIPVoIPLink@0x1297410
> [1588491116.541|28407|sip_utils.cpp     :203  ] Registered thread
> 0x7f132bc5f4d0 (0x6EF1) [1588491116.541|28401|manager.cpp       :2738
> ] invalid node; first invalid key: "preferences": Preferences node
> unserialize error: [1588491116.541|28401|manager.cpp       :452  ]
> Errors while parsing /home/mathieu/.config/jami/dring.yml
> [1588491116.542|28401|sipvoiplink.cpp   :646  ]
> ~SIPVoIPLink@0x1297410 [1588491116.542|28401|siptransport.cpp  :193
> ] ~SipTransportBroker@0x125c3d0
> [1588491116.542|28401|siptransport.cpp  :200  ] destroying
> SipTransportBroker@0x125c3d0 dring: ../src/pj/os_core_unix.c:1325:
> pj_mutex_unlock: Assertion `mutex->owner == pj_thread_this()' failed.
> Aborted (core dumped) --8<---------------cut
> here---------------end--------------->8---

This error is strange. I get nothing like this on Devuan - Jami just
starts automatically as the system loads.

> Maybe we should fix it, wrapping jami binary, so that it also starts
> this daemon?

I can try. Is it something similar to what we already have in jami
package - sqlite wrapper or should I just add dbus to propagated inputs?

> WDYT?
> 
> Thanks,
> 
> Mathieu
> 
> [1]:
> https://git.jami.net/savoirfairelinux/ring-project/wikis/technical/Build-instructions